GuideLab API

Disconnect Scanner Connection

Disconnect a scanner connection by removing stored tokens and scanner-specific data. For iTero, attempts to unpair the account first. Resets connection status to disconnected.

POST
/scanner-connections/{id}/disconnect

Disconnect a scanner connection by removing stored tokens and scanner-specific data. For iTero, attempts to unpair the account first. Resets connection status to disconnected.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/disconnect"
{  "success": true,  "connection": {    "id": "string",    "organizationId": "string",    "scannerType": "string",    "name": "string",    "connectionStatus": "string",    "statusMessage": "string",    "testMode": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "lastConnectedAt": "string",    "lastSyncAt": "string"  }}
Empty
Empty